Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I am currently working on a project that involves running the lift framework on a sun sparc64 architecture. Due to limited support from more popular unix distros, I am running NetBSD 64-bit on the system.

Before i can even tackle trying to install lift, I have to be able to install java on this system. I found that OpenJDK is what I should be using. Through all my digging, I can't seem to get a straight answer on compatibility or installation for this specific setup. Also if i am to find a compatible version, what kind of route am I to take in terms of installation (i.e. pkg_add, pksrc or compiling the code myself) Can anyone shine a light on the subject or am I just on a wild goose chase to nowhere?

share|improve this question
    
Have you had any luck with this yet? –  maxmackie Feb 14 '12 at 2:41

1 Answer 1

http://cvsweb.se.netbsd.org/cgi-bin/bsdweb.cgi/pkgsrc/lang/openjdk7-bin/Makefile?rev=1.5

Binary version available via packages (pkg_add) is only for i386 and x86_64 platforms (in NetBSD language 'ports').

So you must compile it, you can use pkgsrc which is nice framework for building packages.

Here pkgsrc Makefile - http://cvsweb.se.netbsd.org/cgi-bin/bsdweb.cgi/pkgsrc/lang/openjdk7/Makefile?rev=1.35

Java is not as portable as marketing people say.

Wouldn't be easiers run OpenSolaris aka OpenIndiana?

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.